---
title: HTMLTableElement.createTFoot()
slug: Web/API/HTMLTableElement/createTFoot
tags:
  - API
  - HTML DOM
  - HTMLTableElement
  - Method
  - NeedsSpecTable
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <code><strong>HTMLTableElement.createTFoot()</strong></code> method returns the {{HTMLElement("tfoot")}} element associated with a given {{HtmlElement("table")}}. If no footer exists in the table, this methods creates it, and then returns it.</p>

<div class="notecard note">
<p><strong>Note:</strong> If no footer exists, <code>createTFoot()</code> inserts a new footer directly into the table. The footer does not need to be added separately as would be the case if {{domxref("Document.createElement()")}} had been used to create the new <code>&lt;tfoot&gt;</code> element.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>HTMLTableSectionElement</em> = <em>table</em>.createTFoot();</pre>

<h3 id="Return_value">Return value</h3>

<p>{{domxref("HTMLTableSectionElement")}}</p>

<h2 id="Example">Example</h2>

<pre class="brush:js">let myfoot = mytable.createTFoot();
// Now this should be true: myfoot == mytable.tFoot</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-table-createtfoot', 'HTMLTableElement: createTFoot')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLTableElement.createTFoot")}}</p>
</div>
